# GSLStateUpdater class

(Shortest import: `from brian2.stateupdaters.GSL import GSLStateUpdater)`

class brian2.stateupdaters.GSL.GSLStateUpdater(integrator)

  Bases: `StateUpdateMethod`

  A statupdater that rewrites the differential equations so that the GSL generator knows how to write the code in the target language.

  Added in version 2.1.

  Methods

  `__call__`(equations[, variables, method_options]) | Translate equations to abstract_code.

  Details

  __call__(equations, variables=None, method_options=None)

    Translate equations to abstract_code.

    Parameters:

      equations : `Equations`

      > object containing the equations that describe the ODE systemTransferClass(self)

      variables : dict

      > dictionary containing str, `Variable` pairs

    Returns:

      method : callable

      > Method that needs to be called with `StateUpdater` to add CodeObject class and some other variables so these can be sent to the `CodeGenerator`